com.r3corda.core.protocols / AppContext

# AppContext

`data class AppContext`

This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?

### Constructors

<init> | `AppContext(attachments: List<SecureHash>)` This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?

### Properties

attachments | `val attachments: List<SecureHash>`
classLoader | `val classLoader: ClassLoader`